Wallet

Create a wallet webhook

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
POST/api/wallet/non-custodial/webhooks

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.createWalletWebhook(
  {
    url: "https://marvelous-drug.name",
    events: "hard drive program",
    secret: "Str0ng_Sample_Pass!w0rd",
    filters: "microchip back up",
    projectId: "proj_1ClHeKqiVb9U"
  }
);
const { data: result } = await wallet.createWalletWebhook(
  {
    url: "https://marvelous-drug.name",
    events: "hard drive program",
    secret: "Str0ng_Sample_Pass!w0rd",
    filters: "microchip back up",
    projectId: "proj_1ClHeKqiVb9U"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "url": "https://your-app.com/webhooks/wallet",
  "events": [
    "wallet.balance.updated",
    "wallet.transaction.confirmed"
  ],
  "secret": "whsec_abc123xyz789",
  "filters": {
    "addresses": [
      "65a1b2c3d4e5f6789012345a"
    ],
    "chains": [
      "ethereum",
      "bitcoin"
    ]
  },
  "projectId": "685ad30be129932fbb7a1047"
}
{
  "url": "https://your-app.com/webhooks/wallet",
  "events": [
    "wallet.balance.updated",
    "wallet.transaction.confirmed"
  ],
  "secret": "whsec_abc123xyz789",
  "filters": {
    "addresses": [
      "65a1b2c3d4e5f6789012345a"
    ],
    "chains": [
      "ethereum",
      "bitcoin"
    ]
  },
  "projectId": "685ad30be129932fbb7a1047"
}

Responses

201Webhook created successfully
json
{
  "success": true,
  "message": "Webhook created successfully",
  "data": {
    "_id": "65a1b2c3d4e5f6789012345c",
    "url": "https://your-app.com/webhooks/wallet",
    "events": [
      "wallet.balance.updated",
      "wallet.transaction.confirmed"
    ],
    "filters": {
      "addresses": [],
      "chains": []
    },
    "isActive": true,
    "stats": {
      "totalDeliveries": 0,
      "successfulDeliveries": 0,
      "failedDeliveries": 0,
      "lastDeliveryAt": null
    },
    "createdAt": "2026-01-22T10:00:00.000Z",
    "updatedAt": "2026-01-22T10:00:00.000Z"
  }
}
{
  "success": true,
  "message": "Webhook created successfully",
  "data": {
    "_id": "65a1b2c3d4e5f6789012345c",
    "url": "https://your-app.com/webhooks/wallet",
    "events": [
      "wallet.balance.updated",
      "wallet.transaction.confirmed"
    ],
    "filters": {
      "addresses": [],
      "chains": []
    },
    "isActive": true,
    "stats": {
      "totalDeliveries": 0,
      "successfulDeliveries": 0,
      "failedDeliveries": 0,
      "lastDeliveryAt": null
    },
    "createdAt": "2026-01-22T10:00:00.000Z",
    "updatedAt": "2026-01-22T10:00:00.000Z"
  }
}
400
401
429

Errors

CodeMeaning
400
401
429
Edit this page on GitHub